
Redmine - Defect #26004

Settings / Issue tracking: Can't move issue column between available and visible

2017-05-20 09:23 - Roderick Gadellaa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.3.3

Description

Under Settings / Issue tracking / Default columns displayed on the issue list (screenshot attached), I try to move a issue column from

available to visible but it doesn't work.

When I open the dev console I see a javascript error:

/redmine/settings:446 Uncaught ReferenceError: moveOptions is not defined

    at HTMLInputElement.onclick (/redmine/settings:446)

 Information:

Environment:

  Redmine version                3.3.3.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [arm-linux-gnueabihf]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  periodictask                   3.2.1

  redmine_checklists             3.1.5

  redmine_issue_badge            0.0.6

  redmine_issue_completion       0.0.2

  redmine_issue_templates        0.1.5

History

#1 - 2017-05-20 09:26 - Roderick Gadellaa

Since this seems to be a javascript issue and that runs in a browser it's probably also useful to provide some info on my client:

Windows 10 x64, Chrome 58.0.3029.110 (64-bit)

#2 - 2017-06-12 18:44 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce on vanilla Redmine 3.3.3 and CentOS 7 google-chrome-stable-59.0.3071.86-1.x86_64.

#3 - 2017-06-30 22:14 - Swizzy G

I Experienced this myself recently, the issue is likely that you have a cached version of the script, try doing a Ctrl + F5 on the page to force chrome to

reload all scripts etc. from the server rather then attempt to using a locally cached version

#4 - 2024-07-20 09:48 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Files
